# TSSundialsSetTolerance

Sets the absolute and relative tolerance used by Sundials for error control.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSundialsSetTolerance(TS ts,double aabs,double rel)

Collective on TS

### Input parameters

| ts | - the time-step context
| aabs | - the absolute tolerance
| rel | - the relative tolerance

See the Cvode/Sundials users manual for exact details on these parameters. Essentially these regulate the size of the error for a SINGLE timestep.

### Keywords

Sundials, tolerance

### See Also

TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetGMRESRestart(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsSetExactFinalTime()

Level:intermediate
Location: src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages